Bug 842966 - [snapshot] snapshot-info report unknow procedure error even snapshot-info works well
[snapshot] snapshot-info report unknow procedure error even snapshot-info wor...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 02:59 EDT by Huang Wenlong
Modified: 2013-10-20 17:45 EDT (History)
10 users (show)

See Also:
Fixed In Version: libvirt-0.10.0-0rc0.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:19:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huang Wenlong 2012-07-25 02:59:53 EDT
Description of problem:
snapshot-info report "error: unknown procedure: 272" when ssh connect old libvirt server ,but snapshot-info works well

Version-Release number of selected component (if applicable):
libvirt-0.9.13-3.el6.x86_64

How reproducible:
100%

Steps to Reproduce:

1) perpare a guest with snapshot in old server 
#rpm -q libvirt
libvirt-0.9.10-21.el6_3.3.x86_64

2) connect old server with new client
#rpm -q libvirt
libvirt-0.9.13-3.el6.x86_64

# virsh -c qemu+ssh://10.66.5.12/system
root@10.66.5.12's password:
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh # snapshot-info qcow2 --current
Name:           1319695362
Domain:         qcow2
Current:        yes
State:          running
Parent:         -
Children:       0
Descendants:    0
Metadata:       yes

virsh # snapshot-info qcow2
error: --snapshotname or --current is required
error: unknown procedure: 272


Actual results:
report unknow procedure error

Expected results:
if snapshot-info can work well , do not need report error

Additional info:
Comment 2 Peter Krempa 2012-07-27 04:44:51 EDT
Fixed upstream with two commits:

commit 2751ab289bad78ff3da59d164859598ef52d7802
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Thu Jul 26 11:24:30 2012 +0200

    virsh: Fix error resetting on fallback paths
    
    On some fallback paths in virsh, error reported by the previously failed
    API is cleared by virResetLastError() that doesn't free error stored by
    virsh. This patch changes this to clear it using vshResetLibvirtError().

commit 3df9626c404573d94580a2711e2d7a3e1aef7800
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Wed Jul 25 13:41:49 2012 +0200

    virsh: Refactor error clearing on graceful fallback paths
Comment 4 Huang Wenlong 2012-08-06 02:10:35 EDT
Verify this bug as Comment 0 with :
libvirt-0.10.0-0rc0.el6.x86_64
Comment 5 errata-xmlrpc 2013-02-21 02:19:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.